<template>
    <header class="header">
        <div class="header__left">
          <button>
            <img src="../assets/images/icon-menu.svg"
            @click ="handleClick">
          </button>
          <router-link :to="{ name: 'App' }" class="title">Dashboard</router-link>
        </div>
        <div class="header__right">
          <a href="#" class="header__profile">
            <img src="../assets/images/catherine-frot.svg"><p v-if="authenticated" class="title title--right" @click="logOut">{{authenticated.email}}</p>
          </a>
        </div>
    </header>
</template>
<script>
import {mapState} from 'vuex'
export default {
  methods: {
    handleClick() {
      this.$emit("onclick");
    },
    logOut(){
      this.$store.dispatch("logOut")
      window.location.reload()
    }
  },
  computed:{
    ...mapState(["authenticated"])
  }
};
</script>
<style lang="">
</style>